tidy.survfit {broom} | R Documentation

## Tidy a(n) survfit object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'survfit'
    tidy(x, ...)

### Arguments

`x` | An `survfit` object returned from `survival::survfit()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each time point and columns:

`time` | timepoint
`n.risk` | number of subjects at risk at time t0
`n.event` | number of events at time t
`n.censor` | number of censored events
`estimate` | estimate of survival or cumulative incidence rate when multistate
`std.error` | standard error of estimate
`conf.high` | upper end of confidence interval
`conf.low` | lower end of confidence interval
`state` | state if multistate survfit object inputted
`strata` | strata if stratified survfit object inputted

### See Also

`tidy()`, `survival::survfit()`

Other survival tidiers: `augment.coxph`, `augment.survreg`, `glance.aareg`, `glance.cch`, `glance.coxph`, `glance.pyears`, `glance.survdiff`, `glance.survexp`, `glance.survfit`, `glance.survreg`, `tidy.aareg`, `tidy.cch`, `tidy.coxph`, `tidy.pyears`, `tidy.survdiff`, `tidy.survexp`, `tidy.survreg`

### Examples

    library(survival)
    cfit <- coxph(Surv(time, status) ~ age + sex, lung)
    sfit <- survfit(cfit)

    tidy(sfit)
    glance(sfit)

    library(ggplot2)
    ggplot(tidy(sfit), aes(time, estimate)) + geom_line() +
        geom_ribbon(aes(ymin=conf.low, ymax=conf.high), alpha=.25)

    # multi-state
    fitCI <- survfit(Surv(stop, status * as.numeric(event), type = "mstate") ~ 1,
                  data = mgus1, subset = (start == 0))
    td_multi <- tidy(fitCI)
    td_multi

    ggplot(td_multi, aes(time, estimate, group = state)) +
        geom_line(aes(color = state)) +
        geom_ribbon(aes(ymin = conf.low, ymax = conf.high), alpha = .25)

[Package broom version 0.5.2 Index]